--local Cryolysis2 = Cryolysis2
local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

------------------------------------------------------------------------------------------------------
-- Update properties of the right button
------------------------------------------------------------------------------------------------------
function Cryolysis2:UpdateRightButton(click)
	
	local actionName, ID, RightTex

	if click == 1 then
		actionName = Cryolysis2.db.profile.RightSpellLeft
	end
	if click == 2 then
		actionName = Cryolysis2.db.profile.RightSpellRight
	end
	if click == 3 then
		actionName = Cryolysis2.db.profile.RightSpellMid
	end
	
	-- Workaround for this not being set properly by the other function
	Cryo2RightCustomButton:SetAttribute("type*", Cryolysis2.db.profile.RightCustomButtonType)
		
	if actionName == nil or actionName == "" then
		if click == 1 then
			Cryo2RightCustomButtonIcon:SetTexture(nil)
		end
		Cryo2RightCustomButton:SetAttribute(Cryolysis2.db.profile.RightCustomButtonType..click, actionName)
	else
		if Cryolysis2.db.profile.RightCustomButtonType == "spell" then
			ID = Cryolysis2:FindSpellID(""..actionName, BOOKTYPE_SPELL)
			if ID > 0 then
				RightTex = GetSpellTexture(ID, BOOKTYPE_SPELL)
				if click == 1 then
					Cryo2RightCustomButtonIcon:SetTexture(RightTex)
				end

				Cryo2RightCustomButton:SetAttribute(Cryolysis2.db.profile.RightCustomButtonType..click, actionName)
			else
				Cryolysis2:Print(L["Invalid name, please check your spelling and try again!"])
			end
		end
		if Cryolysis2.db.profile.RightCustomButtonType == "macro" then
			ID = GetMacroIndexByName(actionName)
			if ID > 0 then
				_, RightTex = GetMacroInfo(ID)
				if click == 1 then
					Cryo2RightCustomButtonIcon:SetTexture(RightTex)
				end
				Cryo2RightCustomButton:SetAttribute(Cryolysis2.db.profile.RightCustomButtonType..click, actionName)
			else
				Cryolysis2:Print(L["Invalid name, please check your spelling and try again!"])
			end
		end
		if Cryolysis2.db.profile.RightCustomButtonType == "item" then
			if GetItemInfo(actionName) then
				_, _, _, _, _, _, _, _, _, RightTex = GetItemInfo(actionName)
				if click == 1 then
					Cryo2RightCustomButtonIcon:SetTexture(RightTex)
				end
				Cryo2RightCustomButton:SetAttribute(Cryolysis2.db.profile.RightCustomButtonType..click, actionName)
			else
				Cryolysis2:Print(L["Invalid name, please check your spelling and try again!"])
			end
		end
	end
end